% test 1, tema 8, S2-2012

% puntos equidistantes
x1 = [-1 -0.5 0 0.5 1];
p1 = interpolacionsin(x1);

% nodos Tschebychev
x2 = cos((1:2:9)*pi/10);
p2 = interpolacionsin(x2);

% nodos que minimizan norma 2 de diferencia
x3 = [-0.90618 -0.53847 0 0.53847 0.90618];
p3 = interpolacionsin(x3);

% graficar polinomios y funcion
xplot = linspace(-1,1,120);
plot(xplot,polyval(p1,xplot));
hold on
plot(xplot,polyval(p2,xplot),'r');
plot(xplot,polyval(p3,xplot),'k');
plot(xplot,sin(pi*xplot),'g');

% norma 2 de diferencia envaluada en 120 puntos entre
% entre -1 y 1
norm(sin(pi*xplot)-polyval(p1,xplot),2)
norm(sin(pi*xplot)-polyval(p2,xplot),2)
norm(sin(pi*xplot)-polyval(p3,xplot),2)

% norma inf de diferencia evaluada en 120 puntos entre -1 y 1
norm(sin(pi*xplot)-polyval(p1,xplot),inf)
norm(sin(pi*xplot)-polyval(p2,xplot),inf)
norm(sin(pi*xplot)-polyval(p3,xplot),inf)